Delete MCP Server
DELETEhttps://api.confident-ai.com/v1/mcp-servers/{mcpServerId}
Permanently deletes an MCP server from your project.
Warning: This action cannot be undone. Evaluations and AI connections that used this server stop using it.
curl -X DELETE "https://api.confident-ai.com/v1/mcp-servers/{mcpServerId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "MCP-SERVER-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
mcpServerIdstringRequiredThe id of the MCP server.
Response
The id of the deleted MCP server.
successbooleanIndicates if the request was successful.
dataobjectThe id of the affected MCP server.
Show 1 propertyHide 1 property
idstringThe id of the affected MCP server.
deprecatedbooleanIndicates if this endpoint is deprecated.